install: fix git error and support Ubuntu 22.04

refs #5204

Change-Id: Ic6e2ce789746a18cdb8b97e5a4e8175a89ad2e8d
diff --git a/util/pkgdep/fedora.sh b/util/pkgdep/fedora.sh
index b48dac2..a6876e8 100644
--- a/util/pkgdep/fedora.sh
+++ b/util/pkgdep/fedora.sh
@@ -1,6 +1,6 @@
 # -*- Mode:bash; c-file-style:"gnu"; indent-tabs-mode:nil -*- */
 #
-# Copyright (C) 2015-2021, The University of Memphis,
+# Copyright (C) 2015-2022, The University of Memphis,
 #                          Arizona Board of Regents,
 #                          Regents of the University of California.
 #
@@ -45,7 +45,7 @@
 }
 
 prepare_ld() {
-  if ! $SUDO ldconfig -v 2>/dev/null | grep -q /usr/local/lib64; then 
+  if ! $SUDO ldconfig -v 2>/dev/null | grep -q /usr/local/lib64; then
     echo 'Enabling /usr/local/lib64 in dynamic linker'
     $SUDO mkdir -p /etc/ld.so.conf.d
     echo /usr/local/lib64 | $SUDO tee /etc/ld.so.conf.d/usr-local-lib64.conf >/dev/null